> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Telegram Integration

> Update Telegram integration settings



## OpenAPI

````yaml https://cloud.kaneo.app/api/openapi patch /telegram-integration/project/{projectId}
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /telegram-integration/project/{projectId}:
    patch:
      tags:
        - Telegram
      summary: Update Telegram Integration
      description: Update Telegram integration settings
      operationId: updateTelegramIntegration
      parameters:
        - in: path
          name: projectId
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                botToken:
                  type: string
                chatId:
                  type: string
                threadId:
                  type: number
                  nullable: true
                chatLabel:
                  type: string
                  nullable: true
                isActive:
                  type: boolean
                events:
                  type: object
                  properties:
                    taskCreated:
                      type: boolean
                    taskStatusChanged:
                      type: boolean
                    taskPriorityChanged:
                      type: boolean
                    taskTitleChanged:
                      type: boolean
                    taskDescriptionChanged:
                      type: boolean
                    taskCommentCreated:
                      type: boolean
      responses:
        '200':
          description: Telegram integration updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  projectId:
                    type: string
                  chatId:
                    type: string
                  threadId:
                    type: number
                    nullable: true
                  chatLabel:
                    type: string
                    nullable: true
                  botTokenConfigured:
                    type: boolean
                  maskedBotToken:
                    type: string
                  events:
                    type: object
                    properties:
                      taskCreated:
                        type: boolean
                      taskStatusChanged:
                        type: boolean
                      taskPriorityChanged:
                        type: boolean
                      taskTitleChanged:
                        type: boolean
                      taskDescriptionChanged:
                        type: boolean
                      taskCommentCreated:
                        type: boolean
                    required:
                      - taskCreated
                      - taskStatusChanged
                      - taskPriorityChanged
                      - taskTitleChanged
                      - taskDescriptionChanged
                      - taskCommentCreated
                  isActive:
                    type: boolean
                    nullable: true
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                required:
                  - id
                  - projectId
                  - chatId
                  - threadId
                  - chatLabel
                  - botTokenConfigured
                  - maskedBotToken
                  - events
                  - isActive
                  - createdAt
                  - updatedAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````